2017-11-20 23:35 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001834openmediavaultBugpublic2017-10-22 12:45
Reporterscrollup 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformodroidOSdebianOS Versionlatest
Product VersionErasmus (3.x) 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001834: network not working after first installation with ipv6
Descriptionafter the first installation
the omv server seem to parse the wrong interface information and combine ipv4 with ipv6 including a carriage return in the dnsnameserver.

Steps To Reproducea) working ipv6 in Network
b) install odroid omv image on odroid HC1
   OMV_3_0_88_Odroidxu4_4.9.52.img
Additional Informationsnippet in /etc/network/interfaces
auto eth0
allow-hotplug eth0
iface eth0 inet static
    address 192.168.3.2202a02:168:7e11:0:21e:6ff:fe30:c6de
    gateway 192.168.3.1
    netmask 255.255.255.0
    dns-nameservers 192.168.3.1
2a02:168:7e11::1
    dns-search lan.xxx

snippet in /etc/openmediavault/config.xml
        <interface>
          <uuid>4fa8fd59-e5be-40f6-a76d-be6a73ed1407</uuid>
          <type>ethernet</type>
          <devicename>eth0</devicename>
          <method>static</method>
          <address>192.168.3.220 2a02:168:7e11:0:21e:6ff:fe30:c6de </address>
          <netmask>255.255.255.0</netmask>
          <gateway>192.168.3.1</gateway>
          <dnsnameservers>192.168.3.1
2a02:168:7e11::1</dnsnameservers>
          <dnssearch>lan.holzapfel.ch</dnssearch>
          <method6>manual</method6>
        </interface>
      </interfaces>
Tagsdhcp, network
Product buildOMV_3_0_88_Odroidxu4_4.9.52
Attached Files

-Relationships
+Relationships

-Notes

~0004980

votdev (administrator)

I don't know how this happens because the official OMV scripts do not read the broken line part of the dns-nameservers config, see https://github.com/openmediavault/openmediavault/blob/master/deb/openmediavault/usr/share/openmediavault/initsystem/40interfaces#L76.

I have to admit that i do not know how the image for Odroidxu4 is created. I assume that there are other scripts that populate the OMV configuration database beside the official 'omv-initsystem' tool.

~0004981

tkaiser (reporter)

Yes, this is caused by a temporary hack needed to get another ODROID up and running and only affected a few of the ARM images by accident. And I didn't realize the problem due to testing with IPv4 only all the time.

Reported upstream https://github.com/armbian/build/issues/796 and fixed immediately. I'll generate a new XU4/HC1 image since in the meantime we managed to fix another kernel related bug (crashing UAS at load) so that moving installation to a connected HDD/SSD on XU4/HC1 didn't work all the time.

~0004982

tkaiser (reporter)

scrollup: Can you please give http://kaiser-edv.de/tmp/NumpU8/OMV_3_0_88_Odroidxu4_4.9.57.img.xz a try and report back?

~0004983

scrollup (reporter)

@tkaiser:
the image http://kaiser-edv.de/tmp/NumpU8/OMV_3_0_88_Odroidxu4_4.9.57.img.xz
works much better.
After setting up the interface, ipv4 and ipv6 are working and the xml is correct.
Thanks
+Notes

-Issue History
Date Modified Username Field Change
2017-10-20 16:44 scrollup New Issue
2017-10-20 16:44 scrollup Status new => assigned
2017-10-20 16:44 scrollup Assigned To => votdev
2017-10-20 16:44 scrollup Tag Attached: dhcp
2017-10-20 16:44 scrollup Tag Attached: network
2017-10-20 17:19 votdev Note Added: 0004980
2017-10-21 14:54 tkaiser Note Added: 0004981
2017-10-22 00:06 tkaiser Note Added: 0004982
2017-10-22 11:41 scrollup Note Added: 0004983
2017-10-22 12:45 votdev Status assigned => resolved
2017-10-22 12:45 votdev Resolution open => fixed
2017-10-22 12:45 votdev Fixed in Version => Erasmus (3.x)
+Issue History